package com.fjhx.service.tda;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.tda.TdaProduct;
import com.fjhx.params.tda.TdaProductEx;
import com.fjhx.params.tda.TdaProductVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-21
 */
public interface TdaProductService extends BaseService<TdaProduct> {

    Page<TdaProductEx> getPage(Map<String, String> condition);

    void add(TdaProductVo tdaProductVo);

    void delete(TdaProductVo tdaProductVo);

    List<Map<String, Object>> getList(Map<String, Long> condition);

}
